
| gvSIG desktop 1 - gvSIG bugs #935
Can't load WMS
07/30/2012 09:39 AM - María Arias de Reyna

Status: Won't fix % Done: 0%
Priority: Normal
Assignee: Francisco Puga
Category:
Target version:
Severity: Add-on name: Unknown
gvSIG version: 1.12.0 Add-on version:
gvSIG build: 1413 Add-on build:
Operative System: Linux Add-on resolve version:
Keywords: Add-on resolve build:
Has patch: No
Description

On a fresh installation of the latest gvSIG 1.12 (RC-1) I can't load a simple WMS from Cadastre.

Selecting the "default" options, I get the attached error.

Layer: Cartografía Catastral->Catastro
Format: image/png
SRS: EPSG:23029

DEBUG [AWT-EventQueue-1] (NotificationManager.java:104) - Error grave de la aplicación. Es conveniente que salgas de la
aplicación.
java.lang.UnsatisfiedLinkError: /opt/gvSIG-desktop-1.12.0/native/libcrsjniproj.so.0.1.1:
/opt/gvSIG-desktop-1.12.0/native/libcrsjniproj.so.0.1.1: wrong ELF class: ELFCLASS32 (Possible cause: architecture word
width mismatch)
        at java.lang.ClassLoader$NativeLibrary.load(Native Method)
        at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1807)
        at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1732)
        at java.lang.Runtime.loadLibrary0(Runtime.java:823)
        at java.lang.System.loadLibrary(System.java:1028)
        at org.gvsig.crs.proj.JNIBaseCrs.<clinit>(JNIBaseCrs.java:78)
        at org.gvsig.crs.CrsGT.getCrsProj(CrsGT.java:325)
        at org.gvsig.crs.COperation.<init>(COperation.java:131)
        at org.gvsig.crs.CrsGT.getCT(CrsGT.java:186)
        at com.iver.cit.gvsig.fmap.layers.FLayers.doAddLayerSecure(FLayers.java:247)
        at com.iver.cit.gvsig.fmap.layers.FLayers.doAddLayer(FLayers.java:221)
        at com.iver.cit.gvsig.fmap.layers.FLayers.addLayer(FLayers.java:290)
        at com.iver.cit.gvsig.fmap.layers.FLayers.addLayer(FLayers.java:257)
        at com.iver.cit.gvsig.AddLayer.loadGenericWizardPanelLayers(AddLayer.java:250)
        at com.iver.cit.gvsig.AddLayer.addLayers(AddLayer.java:286)
        at com.iver.cit.gvsig.AddLayer.execute(AddLayer.java:179)
        at com.iver.andami.plugins.ExtensionDecorator.execute(ExtensionDecorator.java:89)
        at com.iver.andami.ui.mdiFrame.MDIFrame.actionPerformed(MDIFrame.java:674)
        at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1995)
        at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2318)
        at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:387)
        at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:242)
        at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:236)
        at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:272)
        at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:272)
        at java.awt.Component.processMouseEvent(Component.java:6288)
        at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
        at java.awt.Component.processEvent(Component.java:6053)
        at java.awt.Container.processEvent(Container.java:2041)
        at java.awt.Component.dispatchEventImpl(Component.java:4651)
        at java.awt.Container.dispatchEventImpl(Container.java:2099)
        at java.awt.Component.dispatchEvent(Component.java:4481)
        at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4577)
        at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4238)
        at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4168)
        at java.awt.Container.dispatchEventImpl(Container.java:2085)
        at java.awt.Window.dispatchEventImpl(Window.java:2478)
        at java.awt.Component.dispatchEvent(Component.java:4481)
        at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:643)
        at java.awt.EventQueue.access$000(EventQueue.java:84)
        at java.awt.EventQueue$1.run(EventQueue.java:602)
        at java.awt.EventQueue$1.run(EventQueue.java:600)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
        at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:98)
        at java.awt.EventQueue$2.run(EventQueue.java:616)
        at java.awt.EventQueue$2.run(EventQueue.java:614)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:613)
        at com.iver.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:58)
        at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
        at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
        at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
        at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)

History
#1 - 07/30/2012 09:39 AM - María Arias de Reyna
- File gvSIG.log added

#2 - 07/30/2012 10:11 AM - María Arias de Reyna

Maybe it is because I am on a 64 bit machine?

#3 - 07/30/2012 04:06 PM - Francisco Puga
- Status changed from New to Won't fix
- Assignee set to Francisco Puga

Hi,

gvSIG doesn't have right now a 64 bit version and it seems to be an error related to this topic. See this thread in the TSC list.
https://joinup.ec.europa.eu/software/gvsig-desktop/topic/gvsig-tsc-gvsig-en-versiones-para-64bits


I'm sorry but i must close the issue. Please, be free to reopen it if you thin that is related to another topic.

#4 - 02/20/2014 10:21 AM - Álvaro Anguix
- Project changed from Application: gvSIG desktop to | gvSIG desktop 1
- Category deleted (CRS)
- Target version deleted (1.12.0-final)

Files
gvSIG.log 45.1 KB 07/30/2012 María Arias de Reyna
